# ------------------------------------------------------------------------------
# <auto-generated>
#     This code was generated by a tool.
#     Changes to this file may cause incorrect behavior and will be lost if
#     the code is regenerated.
# </auto-generated>
#
# Copyright (c) Microsoft Corporation. All rights reserved.
# Licensed under the MIT License.
# ------------------------------------------------------------------------------

from .base_numbers import BaseNumbers
# pylint: disable=line-too-long


class DutchNumericWithUnit:
    AgeSuffixList = dict([("Year", "jaren oud|jaar oud|jaar|jaren|levensjaren|jarige leeftijd|-jarige leeftijd|-jarige|jarige"),
                          ("Month", "maanden oud|maand oud|maand|maanden"),
                          ("Week", "week oud|weken oud|week|weken"),
                          ("Day", "dag oud|dagen oud|dag|dagen")])
    AreaSuffixList = dict([("Square kilometer", "vierkante km|vierkante kilometer|kilometer km2|kilometer km^2|km^2|km²|km2"),
                           ("Square hectometer", "vierkante hm|vierkante hectometer|hm^2|hm²|hektar|hm2"),
                           ("Square decameter", "vierkante dam|vierkante decameter|dam^2|dam²|dam2"),
                           ("Square meter", "vierkante m|vierkante meter|m^2|m²|m2"),
                           ("Square decimeter", "vierkante dm|vierkante decimeter|dm^2|dm²|dm2"),
                           ("Square centimeter", "vierkante cm|vierkante centimeter|cm^2|cm²|cm2"),
                           ("Square millimeter", "vierkante mm|vierkante millimeter|mm^2|mm²|mm2"),
                           ("Square inch", "in2|in^2|in²"),
                           ("Square foot", "ft2|ft^2|ft²"),
                           ("Square mile", "vierkante mijl|mi^2|mi²|mi2"),
                           ("Square yard", "vierkante yard|yd^2|yd²|yd2"),
                           ("Hectare", "hectare|ha"),
                           ("Acre", "are")])
    InformationSuffixList = dict([("Bit", "-bit|bit|bits"),
                                  ("Kilobit", "kilobit|kilobits|kb|Kb|kbit"),
                                  ("Megabit", "megabit|megabits|Mb|mb|Mbit"),
                                  ("Gigabit", "gigabit|gigabits|Gb|gb|Gbit"),
                                  ("Terabit", "terabit|terabits|Tb|tb|Tbit"),
                                  ("Petabit", "petabit|petabits|Pb|pb|Pbit"),
                                  ("Byte", "-byte|byte|bytes"),
                                  ("Kilobyte", "-kilobyte|-kilobytes|kilobyte|kB|KB|kilobytes|kilo byte|kilo bytes|kByte"),
                                  ("Megabyte", "-megabyte|-megabytes|megabyte|mB|MB|megabytes|mega byte|mega bytes|MByte"),
                                  ("Gigabyte", "-gigabyte|-gigabytes|gigabyte|gB|GB|gigabytes|giga byte|giga bytes|GByte"),
                                  ("Terabyte", "-terabyte|-terabytes|terabyte|tB|TB|terabytes|tera byte|tera bytes|TByte"),
                                  ("Petabyte", "-petabyte|-petabytes|petabyte|pB|PB|petabytes|peta byte|peta bytes|PByte")])
    AmbiguousDimensionUnitList = [r'vat', r'voet', r'voeten', r'ons', r'dm', r'"']
    BuildPrefix = f'(?<=(\\s|^))'
    BuildSuffix = f'(?=(\\s|\\W|$))'
    LengthSuffixList = dict([("Kilometer", "km|kilometer|kilometers|kilometers"),
                             ("Hectometer", "hm|hectometer|hectometers"),
                             ("Decameter", "dam|decameter|decameters"),
                             ("Meter", "m|meter|meters"),
                             ("Decimeter", "dm|decimeter|decimeters"),
                             ("Centimeter", "cm|centimeter|centimeters"),
                             ("Millimeter", "mm|millimeter|millimeters"),
                             ("Micrometer", "μm|micrometer|micrometers"),
                             ("Nanometer", "nm|nanometer|nanometers|millimicron"),
                             ("Picometer", "pm|picometer|picometers"),
                             ("Mile", "-mijl|mijl|mijlen"),
                             ("Inch", "-inch|inch|inches"),
                             ("Foot", "-voet|voet"),
                             ("Light year", "lichtjaar|lichtjaren|lj"),
                             ("Pt", "pt|pts")])
    AmbiguousLengthUnitList = [r'm', r'pm', r'pt', r'pts']
    SpeedSuffixList = dict([("Meter per second", "meters / seconde|m/s|m per seconde|meters per seconde|meters per secondes|meter per seconde|meter per secondes"),
                            ("Kilometer per hour", "km/h|km/u|km per uur|kilometer per uur|kilometers per uur"),
                            ("Kilometer per minute", "km/min|kilometers per minuut|kilometer per minuut"),
                            ("Kilometer per second", "km/s|kilometers per seconde|kilometers per seconde"),
                            ("Mile per hour", "mph|mijl per uur|mijlen per hour"),
                            ("Knot", "kt|knopen"),
                            ("Foot per second", "ft/s|voet/s|voet per seconde"),
                            ("Foot per minute", "ft/min|voet/min|voet per minuut")])
    TemperatureSuffixList = dict([("F", "graden fahrenheit|graden f|gr. f|°f|fahrenheit|f"),
                                  ("K", "k|K|kelvin"),
                                  ("R", "rankine|°r"),
                                  ("D", "delisle|°de"),
                                  ("C", "graden celsius|graden c|gr. c|°c|c|celsius"),
                                  ("Degree", "graden|gradendeg.|deg|°")])
    AmbiguousTemperatureUnitList = [r'c', r'f', r'k']
    VolumeSuffixList = dict([("Cubic meter", "m3|m^3|m³|kubieke meter|kubieke meters|kuub"),
                             ("Cubic centimeter", "cm3|cm^3|cm³|kubieke centimeter|kubieke centimetre|kubieke centimeters"),
                             ("Cubic millimiter", "mm3|mm^3|mm³|kubieke millimiter"),
                             ("Hectoliter", "hl|hectoliter|hectoliters"),
                             ("Decaliter", "dal|decaliter|decaliters"),
                             ("Liter", "l|liter|-liter|liters"),
                             ("Deciliter", "dl|-deciliter|deciliter|deciliters"),
                             ("Centiliter", "cl|-centiliter|centiliter|centiliters"),
                             ("Milliliter", "ml|-mililiter|milliliter|milliliters"),
                             ("Cubic inch", "in3|in^3|in³|kubieke inch"),
                             ("Cubic foot", "kubieke voet"),
                             ("Cubic mile", "kubieke mijl"),
                             ("Teaspoon", "theelepel|theelepels|tl"),
                             ("Tablespoon", "eetlepel|eetlepels|el"),
                             ("Pint", "pint|pints")])
    AmbiguousVolumeUnitList = [r'l', r'ons', r'oz', r'cup', r'peck', r'cord', r'gill']
    WeightSuffixList = dict([("Kilogram", "kg|kilogram|kilo"),
                             ("Gram", "g|gram"),
                             ("Milligram", "mg|milligram"),
                             ("Microgram", "μg|microgram"),
                             ("Barrel", "vat|vaten"),
                             ("Gallon", "-gallon|gallon"),
                             ("Metric ton", "metrische ton"),
                             ("Ton", "-ton|ton|t"),
                             ("Pound", "-pond|pond"),
                             ("Ounce", "-ons|ons")])
    AmbiguousWeightUnitList = [r'g', r't', r'oz']
    CurrencySuffixList = dict([("Abkhazian apsar", "abkhazian apsar|apsars"),
                               ("Afghan afghani", "afghaanse afghani|؋|afn|afghanis|afghani"),
                               ("Pul", "pul"),
                               ("Euro", "euros|euro|€|eur"),
                               ("Cent", "cents|cent|-cents|-cent"),
                               ("Kwartje", "kwartje"),
                               ("Dubbeltje", "dubbeltje"),
                               ("Stuiver", "stuiver"),
                               ("Tientje", "tientje"),
                               ("Albanian lek", "albanese lek|leks|lek"),
                               ("Qindarkë", "qindarkë|qindarkës|qindarke|qindarkes"),
                               ("Angolan kwanza", "angolese kwanza|kz|aoa|kwanza|kwanzas|angolese kwanzas"),
                               ("Armenian dram", "armeense dram|dram"),
                               ("Aruban florin", "arubaanse florin|arubaanse florins|ƒ|awg|arubaanse florijn|arubaanse florijnen"),
                               ("Bangladeshi taka", "bengalese taka|৳|bdt|taka|takas|bengalese takas"),
                               ("Paisa", "poisha|paisa"),
                               ("Bhutanese ngultrum", "bhutaanse ngultrum|nu.|btn|ngultrum"),
                               ("Chetrum", "chetrums|chetrum"),
                               ("Bolivian boliviano", "boliviaanse boliviano|bob|bs.|bolivia boliviano|bolivia bolivianos|boliviaanse bolivianos|boliviano"),
                               ("Bosnia and Herzegovina convertible mark", "bosnische inwisselbare mark|bosnia and herzegovina convertible mark|bam"),
                               ("Fening", "fenings|fenings"),
                               ("Botswana pula", "botswaanse pula|bwp|pula|pulas|botswaanse pulas"),
                               ("Thebe", "thebe"),
                               ("Brazilian real", "braziliaanse real|r$|brl|brazil real|brazil reals|braziliaanse reals|real|reals"),
                               ("Bulgarian lev", "bulgaarse lev|bgn|лв|bulgaria lev|bulgaria levs|bulgaarse levs"),
                               ("Stotinka", "stotinki|stotinka"),
                               ("Cambodian riel", "cambodjaanse riel|khr|៛|cambodia riel|cambodia riels|cambodjaanse riels|riel|riels"),
                               ("Cape Verdean escudo", "kaapverdische escudo|cve|escudo"),
                               ("Costa Rican colón", "costa ricaanse colonolón|costa ricaanse colóns|crc|₡|costa rica colón|costa rica colóns|ccosta ricaanse colon|costa ricaanse colons|costa rica colon|costa rica colons"),
                               ("Salvadoran colón", "svc|salvadoraanse colón|salvadoraanse colóns|salvador colón|salvador colóns|salvadoraanse colon|salvadoraanse colons|salvador colon|salvador colons"),
                               ("Céntimo", "céntimo"),
                               ("Croatian kuna", "kroatische kuna|kn|hrk|croatia kuna|kroatische kunas|kroatische kuna kunas|kuna"),
                               ("Lipa", "lipa"),
                               ("Czech koruna", "tsjechische kroon|tsjechische kronen|czech koruna|czk|Kč|czech korunas|tsjechische koruna|tsjechische korunas|koruna|korunas"),
                               ("Haléř", "haléř"),
                               ("Eritrean nakfa", "eritrese nakfa|nfk|ern|eritrese nakfas|nakfa|nakfas"),
                               ("Ethiopian birr", "ethiopische birr|etb|birr"),
                               ("Gambian dalasi", "gambiaanse dalasi|gmd|dalasi"),
                               ("Butut", "bututs|butut"),
                               ("Georgian lari", "georgische lari|lari|gel|₾"),
                               ("Tetri", "tetri"),
                               ("Ghanaian cedi", "ghanese cedi|ghs|₵|gh₵|cedi"),
                               ("Pesewa", "pesewas|pesewa"),
                               ("Guatemalan quetzal", "guatemalteekse quetzal|gtq|guatemala quetzal|quetzal"),
                               ("Haitian gourde", "haïtiaanse gourde|haitiaanse gourde|htg|gourde"),
                               ("Honduran lempira", "hondurese lempira|hnl|lempira"),
                               ("Hungarian forint", "hongaarse forint|huf|ft|hungary forint|hungary forints|hongaarse forints|forint|forints"),
                               ("Fillér", "fillér"),
                               ("Iranian rial", "iraanse rial|irr|iran rial|iran rials|iraanse rials"),
                               ("Yemeni rial", "jemenitische rial|yer|jemenitische rials"),
                               ("Israeli new shekel", "israëlische sjekel|israelische sjekel|₪|ils|sjekel"),
                               ("Lithuanian litas", "ltl|litouwse litas|lithuan litas|litouwse lit|lithuan lit"),
                               ("Japanese yen", "japanse yen|jpy|yen|-yen|¥|yens|japanse yens|japan yen|japan yens"),
                               ("Kazakhstani tenge", "kazachse tenge|kzt"),
                               ("Kenyan shilling", "keniaanse shilling|kes"),
                               ("North Korean won", "noord-koreaanse won|noord koreaanse won|kpw|noord-koreaanse wons|noord koreaanse wons"),
                               ("South Korean won", "zuid-koreaanse won|zuid koreaanse won|krw|zuid-koreaanse wons|zuid koreaanse wons"),
                               ("Korean won", "koreaanse won|₩|koreaanse wons"),
                               ("Kyrgyzstani som", "kirgizische som|kgs"),
                               ("Uzbekitan som", "oezbeekse sum|uzs"),
                               ("Lao kip", "laotiaanse kip|lao kip|lak|₭n|₭"),
                               ("Att", "att"),
                               ("Lesotho loti", "lesothaanse loti|lesotho loti|lsl|loti"),
                               ("Sente", "sente|lisente"),
                               ("South African rand", "zuid-afrikaanse rand|zuid afrikaanse rand|south african rand|zar|south africa rand|south africa rands|south african rands"),
                               ("Macanese pataca", "macause pataca|macanese pataca|mop$|mop|pataca"),
                               ("Avo", "avos|avo"),
                               ("Macedonian denar", "macedonische denar|macedonian denar|mkd|ден"),
                               ("Deni", "deni"),
                               ("Malagasy ariary", "malagassische ariary|malagasy ariary|mga|ariary"),
                               ("Iraimbilanja", "iraimbilanja"),
                               ("Malawian kwacha", "malawische kwacha|malawian kwacha|mk|mwk"),
                               ("Tambala", "tambala"),
                               ("Malaysian ringgit", "maleisische ringgit|rm|myr|malaysia ringgit|malaysia ringgits|maleisische ringgits"),
                               ("Mauritanian ouguiya", "mauritaanse ouguiya|um|mro|mauritania ouguiya|mauritania ouguiyas|mauritaanse ouguiyas"),
                               ("Khoums", "khoums"),
                               ("Mongolian tögrög", "mongoolse tugrik|mongoolse tugriks|mongoolse tögrög|mnt|₮|mongolia tögrög|mongolia tögrögs|mongoolse tögrögs|mongoolse togrog|mongoolse togrogs|mongolia togrog|mongolia togrogs"),
                               ("Mozambican metical", "mozambikaanse metical|mt|mzn|mozambica metical|mozambica meticals|mozambikaanse meticals"),
                               ("Burmese kyat", "myanmarese kyat|burmese kyat|ks|mmk"),
                               ("Pya", "pya"),
                               ("Nicaraguan córdoba", "nicaraguaanse córdoba|nio"),
                               ("Nigerian naira", "nigeriaanse naira|naira|ngn|₦|nigeria naira|nigeria nairas|nigeriaanse nairas"),
                               ("Kobo", "kobo"),
                               ("Turkish lira", "turkse lira|try|tl|turkey lira|turkey liras|turkse liras"),
                               ("Kuruş", "kuruş"),
                               ("Omani rial", "omaanse rial|omani rial|omr|ر.ع."),
                               ("Panamanian balboa", "panamese balboa|panamanian balboa|b/.|pab"),
                               ("Centesimo", "centesimo"),
                               ("Papua New Guinean kina", "papoea-nieuw-guinese kina|papoea nieuw guinese kina|papua new guinean kina|kina|pgk"),
                               ("Toea", "toea"),
                               ("Paraguayan guaraní", "paraguayaanse guarani|paraguayan guaraní|₲|pyg|guarani|guaraní"),
                               ("Peruvian sol", "peruviaanse sol|peruviaanse nieuwe sol|sol|soles|sol|peruviaanse nuevo sol"),
                               ("Polish złoty", "złoty|poolse złoty|zł|pln|zloty|poolse zloty|poland zloty|poland złoty"),
                               ("Grosz", "groszy|grosz|grosze"),
                               ("Qatari riyal", "qatarese rial|qatarese rials|qatarese riyal|qar|qatarese riyals|qatar riyal|qatar riyals"),
                               ("Saudi riyal", "saoedi-arabische riyal|saoedi-arabische riyals|saoedi arabische riyal|saoedi arabische riyals|saudi riyal|sar|saudi riyals|saoedi riyal|saoedi riyals"),
                               ("Riyal", "riyal|riyals|rial|rials|﷼"),
                               ("Dirham", "dirham|dirhem|dirhm"),
                               ("Halala", "halalas|halala"),
                               ("Samoan tālā", "samoaanse tālā|tālā|tala|ws$|samoa|wst|samoaanse tala"),
                               ("Sene", "sene"),
                               ("São Tomé and Príncipe dobra", "santomese dobra|são tomé and príncipe dobra|dobras|dobra|std"),
                               ("Sierra Leonean leone", "sierra leoonse leone|sierra Leonean leone|sll|leone|le"),
                               ("Peseta", "spaanse peseta|spaanse pesetas|pesetas|peseta"),
                               ("Netherlands guilder", "florin|netherlands antillean guilder|ang|nederlandse gulden|guilders|guilder|gulden|-guilders|-guilder|dutch guilders|dutch guilder|fl"),
                               ("Swazi lilangeni", "swazische lilangeni|swazi lilangeni|lilangeni|szl|emalangeni"),
                               ("Tajikistani somoni", "tadzjiekse somoni|tajikistani somoni|tjs|somoni"),
                               ("Diram", "dirams|diram"),
                               ("Thai baht", "thaise baht|hai baht|฿|thb|baht"),
                               ("Satang", "satang|satangs"),
                               ("Tongan paʻanga", "tongaanse paʻanga|paʻanga|tongaanse pa'anga|pa'anga"),
                               ("Seniti", "seniti"),
                               ("Ukrainian hryvnia", "oekraïense grivna|oekraiense grivna|eukrainian hryvnia|hyrvnia|uah|₴|ukrain hryvnia|ukrain hryvnias|ukrainian hryvnias|grivna|grivnya"),
                               ("Vanuatu vatu", "vanuatuaanse vatu|vanuatu vatu|vatu|vuv"),
                               ("Venezuelan bolívar", "venezolaanse bolivar|venezolaanse bolívar|venezolaanse bolívars|bs.f.|vef|bolívar fuerte|venezuelan bolivar|venezuelan bolivars|venezuela bolivar|venezuela bolivars|venezolaanse bolivar|venezolaanse bolivars"),
                               ("Vietnamese dong", "vietnamese dong|vnd|đồng|vietnam dong|vietnamese dongs|vietnam dongs"),
                               ("Zambian kwacha", "zambiaanse kwacha|zk|zmw|zambia kwacha|kwachas|zambiaanse kwachas"),
                               ("Moroccan dirham", "marokkaanse dirham|moroccan dirham|mad|د.م."),
                               ("United Arab Emirates dirham", "vae-dirham|vae dirham|verenigde arabische emiraten dirham|verenigde-arabische-emiraten dirham|united arab emirates dirham|د.إ|aed"),
                               ("Azerbaijani manat", "azerbeidzjaanse manat|azerbaijani manat|azn"),
                               ("Turkmenistan manat", "turkmeense manat|turkmeense nieuwe manat|turkmenistan manat|turkmenistan new manat|tmt"),
                               ("Manat", "manats|manat"),
                               ("Qəpik", "qəpik"),
                               ("Somali shilling", "somalische shilling|somalische shillings|somali shillings|somali shilling|shilin soomaali|-shilin soomaali|scellino|shilin|sh.so.|sos"),
                               ("Somaliland shilling", "somaliland shillings|somaliland shilling|soomaaliland shilin"),
                               ("Tanzanian shilling", "tanzaniaanse shilling|tanzaniaanse shillings|tsh|tzs|tanzania shilling|tanzania shillings"),
                               ("Ugandan shilling", "oegandese shilling|oegandese shillings|ugx|uganda shilling|uganda shillings"),
                               ("Romanian leu", "roemeense leu|ron|romania leu"),
                               ("Moldovan leu", "moldavische leu|mdl|moldova leu"),
                               ("Leu", "leu|lei"),
                               ("Ban", "bani|-ban|ban"),
                               ("Nepalese rupee", "nepalese roepie|nepalese rupee|npr"),
                               ("Pakistani rupee", "pakistaanse roepie|pakistani rupee|pkr"),
                               ("Indian rupee", "indiase roepie|indian rupee|inr|₹|india rupee"),
                               ("Seychellois rupee", "seychelse roepie|seychellois rupee|scr|sr|sre"),
                               ("Mauritian rupee", "mauritiaanse roepie|mauritian rupee|mur"),
                               ("Maldivian rufiyaa", "maldivische rufiyaa|maldivian rufiyaa|mvr|.ރ|maldive rufiyaa"),
                               ("Sri Lankan rupee", "sri lankaanse roepie|sri lankan rupee|lkr|රු|ரூ"),
                               ("Indonesian rupiah", "indonesische roepia|indonesische rupiah|indonesian rupiah|rupiah|perak|rp|idr|roepia"),
                               ("Rupee", "roepie|rupee|rs"),
                               ("Danish krone", "deense kroon|dansk krone|dkk|denmark krone|denmark krones|deense kronen"),
                               ("Norwegian krone", "noorse kroon|nok|norway krone|norway krones|noorse kronen"),
                               ("Faroese króna", "faeröerse kroon|faeroerse kroon|faroese króna|faroese krona"),
                               ("Icelandic króna", "ijslandse kroon|ijslandse kronen|icelandic króna|isk|icelandic krona|iceland króna|iceland krona"),
                               ("Swedish krona", "zweedse kroon|zweedse kronen|swedish krona|swedish kronor|sek"),
                               ("Estonian kroon", "estische kroon|estische kronen|stonian kroon"),
                               ("Krone", "kroon|kronen|kronor|krona|króna|krone|krones|kr|-kr"),
                               ("Øre", "öre|Øre|oyra|eyrir"),
                               ("West African CFA franc", "west afrikaanse cfa frank|west african cfa franc|xof|west africa cfa franc|west africa franc|west african franc"),
                               ("Central African CFA franc", "centraal afrikaanse cfa frank|central african cfa franc|xaf|central africa cfa franc|central african franc|central africa franc"),
                               ("Comorian franc", "comorese frank|comorese franc|comorian franc|kmf"),
                               ("Congolese franc", "congolese frank|congolese franc|cdf"),
                               ("Burundian franc", "burundese frank|burundese franc|burundian franc|bif"),
                               ("Djiboutian franc", "djiboutiaanse frank|djiboutiaanse franc|djiboutian franc|djf"),
                               ("CFP franc", "cfp-frank|cfp frank|cfp franc|xpf"),
                               ("Guinean franc", "guineese frank|guineese franc|guinean franc|gnf"),
                               ("Swiss franc", "zwitserse frank|zwitserse franc|swiss francs|swiss franc|chf|sfr."),
                               ("Rwandan franc", "rwandese frank|rwandese franc|Rwandan franc|rwf|rf|r₣|frw"),
                               ("Belgian franc", "belgische frank|bi.|b.fr.|bef|belgium franc"),
                               ("Rappen", "rappen|-rappen"),
                               ("Franc", "frank|franken|francs|franc|fr.|fs|ff|fc"),
                               ("Centime", "centimes|centime|santim"),
                               ("Russian ruble", "russische roebel|₽|rub|russia ruble|russia ₽|russian ₽|russische ₽|russische roebels"),
                               ("New Belarusian ruble", "nieuwe wit-russische roebel|nieuwe wit russische roebel|nieuwe witrussische roebel|new belarusian ruble|byn|new belarus ruble|new belarus rubles|new belarusian rubles"),
                               ("Old Belarusian ruble", "oude wit-russische roebel|oude wit russische roebel|oude witrussische roebel|old belarusian ruble|byr|old belarus ruble|old belarus rubles|old belarusian rubles"),
                               ("Transnistrian ruble", "transnistrische roebel|transnistrische roebels|transnistrian ruble|prb|р."),
                               ("Belarusian ruble", "wit-russische roebel|wit russische roebel|witrussische roebel|belarusian ruble|belarus ruble|belarus rubles"),
                               ("Kopek", "kopek|kopeken|kopeks"),
                               ("Kapyeyka", "kapyeyka"),
                               ("Ruble", "roebel|roebels|rubles|ruble|br"),
                               ("Algerian dinar", "algerijnse dinars|algerijnse dinar|algerian dinar|د.ج|dzd|algerian dinars|algeria dinar|algeria dinars"),
                               ("Bahraini dinar", "bahreinse dinars|bahreinse dinar|bahraini dinars|bahraini dinar|bhd|.د.ب"),
                               ("Santeem", "santeem|santeems"),
                               ("Iraqi dinar", "iraakse dinars|iraakse dinar|iraqi dinars|iraqi dinar|iraq dinars|iraq dinar|iqd|ع.د"),
                               ("Jordanian dinar", "jordaanse dinars|jordaanse dinar|jordanian dinars|jordanian dinar|د.ا|jod|jordan dinar|jordan dinars"),
                               ("Kuwaiti dinar", "koeweitse dinars|koeweitse dinar|kuwaiti dinars|kuwaiti dinar|kwd|د.ك"),
                               ("Libyan dinar", "libische dinars|libische dinar|libyan dinars|libyan dinar|libya dinars|libya dinar|lyd"),
                               ("Serbian dinar", "servische dinars|servische dinar|serbian dinars|serbian dinar|din.|rsd|дин.|serbia dinars|serbia dinar"),
                               ("Tunisian dinar", "tunesische dinars|tunesische dinar|tunisian dinars|tunisian dinar|tnd|tunisia dinars|tunisia dinar"),
                               ("Yugoslav dinar", "joegoslavische dinars|joegoslavische dinar|yugoslav dinars|yugoslav dinar|yun"),
                               ("Dinar", "dinars|dinar|denar|-dinars|-dinar"),
                               ("Fils", "fils|fulūs|-fils|-fil"),
                               ("Para", "para|napa"),
                               ("Millime", "millimes|millime"),
                               ("Argentine peso", "argentijnse pesos|argentijnse peso|argentine peso|ars|argetina peso|argetina pesos|argentine pesos"),
                               ("Chilean peso", "chileense pesos|chileense peso|chilean pesos|chilean peso|clp|chile peso|chile peso"),
                               ("Colombian peso", "colombiaanse pesos|colombiaanse peso|colombian pesos|colombian peso|cop|colombia peso|colombia pesos"),
                               ("Cuban convertible peso", "convertibele pesos|convertibele peso|cubaanse convertible pesos|cubaanse convertible peso|cuban convertible pesos|cuban convertible peso|cuc|cuba convertible pesos|cuba convertible peso"),
                               ("Cuban peso", "cubaanse pesos|cubaanse peso|cuban pesos|cuban peso|cup|cuba pesos|cuba peso"),
                               ("Dominican peso", "dominicaanse pesos|dominicaanse peso|dominican pesos|dominican peso|dop|dominica pesos|dominica peso"),
                               ("Mexican peso", "mexicaanse pesos|mexicaanse peso|mexican pesos|mexican peso|mxn|mexico pesos|mexico peso"),
                               ("Philippine peso", "filipijnse pesos|filipijnse peso|piso|philippine pesos|philippine peso|₱|php"),
                               ("Uruguayan peso", "uruguayaanse pesos|uruguayaanse peso|uruguayan pesos|uruguayan peso|uyu"),
                               ("Peso", "pesos|peso"),
                               ("Centavo", "centavos|centavo"),
                               ("Alderney pound", "alderney pond|alderney pounds|alderney pound|alderney £"),
                               ("British pound", "pond sterling|britse pond|britse ponden|britse £|british pounds|british pound|british £|gbp|pound sterling|pound sterlings|sterling|pound scot|pound scots"),
                               ("Guernsey pound", "guernsey pounds|guernsey £|ggp"),
                               ("Ascension pound", "ascension ponden|ascension pond|ascension pounds|ascension pound|ascension £"),
                               ("Saint Helena pound", "sint-heleens pond|sint-heleens £|sint heleens pond|sint heleens £|saint helena pounds|saint helena pound|saint helena £|shp"),
                               ("Egyptian pound", "egyptische pond|egyptische £|egyptische ponden|egyptian pounds|egyptian pound|egyptian £|egp|ج.م|egypt pounds|egypt pound"),
                               ("Falkland Islands pound", "falklandeilanden pond|falklandeilandse pond|falklandeilandse £|falklandeilanse ponden|falkland islands pounds|falkland islands pound|falkland islands £|fkp|falkland island pounds|falkland island pound|falkland island £"),
                               ("Gibraltar pound", "gibraltarees pond|gibraltarees £|gibraltar pounds|gibraltar pound|gibraltar £|gip"),
                               ("Manx pound", "isle of man-pond|isle of man pond|isle of man-£|isle of man £|manx pounds|manx pound|manx £|imp"),
                               ("Jersey pound", "jerseypond|jerseyponden|jersey pounds|jersey pound|jersey £|jep"),
                               ("Lebanese pound", "libanese ponden|libanese pond|libanese £|lebanese pounds|lebanese pound|lebanese £|lebanan pounds|lebanan pound|lebanan £|lbp|ل.ل"),
                               ("South Georgia and the South Sandwich Islands pound", "zuid-georgia en de zuidelijke sandwicheilanden ponden|zuid-georgia en de zuidelijke sandwicheilanden pond|zuid-georgia en de zuidelijke sandwicheilanden £|south georgia and the south sandwich islands pounds|south georgia and the south sandwich islands pound|south georgia and the south sandwich islands £"),
                               ("South Sudanese pound", "zuid sudanese ponden|zuid sudanese pond|zuid sudanese £|south sudanese pounds|south sudanese pound|south sudanese £|ssp|south sudan pounds|south sudan pound|south sudan £"),
                               ("Sudanese pound", "sudanese ponden|sudanese pond|sudanese £|sudanese pounds|sudanese pound|sudanese £|ج.س.|sdg|sudan pounds|sudan pound|sudan £"),
                               ("Syrian pound", "syrische ponden|syrische pond|syrische £|syrian pounds|syrian pound|syrian £|ل.س|syp|syria pounds|syria pound|syria £"),
                               ("Tristan da Cunha pound", "tristan da cunha pounds|tristan da cunha pound|tristan da cunha £"),
                               ("Pound", "pond|ponden|-pond|-ponden|pounds|pound|-pounds|-pound|£"),
                               ("Pence", "pence"),
                               ("Shilling", "shillings|shilling|shilingi|sh"),
                               ("Penny", "pennies|penny"),
                               ("United States dollar", "amerikaanse dollars|amerikaanse dollar|amerikaanse $|united states dollars|united states dollar|united states $|u.s. dollars|u.s. dollar|US dollar|US dollars|usd|american dollars|american dollar|us$|us dollar|us dollars|u.s dollar|u.s dollars"),
                               ("East Caribbean dollar", "oost-caribische dollars|oost-caribische dollar|oost-caribische $|oost caribische dollars|oost caribische $|oost caribische dollar|east caribbean dollars|east caribbean dollar|east Caribbean $|xcd"),
                               ("Australian dollar", "australische dollars|australische dollar|australische $|australian dollars|australian dollar|australian $|australian$|aud|australia dollars|australia dollar|australia $|australia$"),
                               ("Bahamian dollar", "bahamaanse dollars|bahamaanse dollar|bahamaanse $|bahama $|bahamian dollars|bahamian dollar|bahamian $|bahamian$|bsd|bahamia dollars|bahamia dollar|bahamia $|bahamia$"),
                               ("Barbadian dollar", "barbadiaanse dollars|barbadiaanse dollar|barbadiaanse $|barbada $|barbadian dollars|barbadian dollar|barbadian $|bbd"),
                               ("Belize dollar", "belizaanse dollars|belizaanse dollar|belizaanse $|belize dollars|belize dollar|belize $|bzd"),
                               ("Bermudian dollar", "bermudaanse dollars|bermudaanse dollar|bermudaanse $|bermuda $|bermudian dollars|bermudian dollar|bermudian $|bmd|bermudia dollars|bermudia dollar|bermudia $"),
                               ("British Virgin Islands dollar", "britse maagdeneilanden dollars|britse maagdeneilanden dollar|britse maagdeneilanden $|british virgin islands dollars|british virgin islands dollar|british virgin islands $|bvi$|virgin islands dollars|virgin islands dolalr|virgin islands $|virgin island dollars|virgin island dollar|virgin island $"),
                               ("Brunei dollar", "bruneise dollars|bruneise dollar|bruneise $|brunei dollar|brunei $|bnd"),
                               ("Sen", "sen"),
                               ("Singapore dollar", "singaporese dollars|singaporese dollar|Singaporese $|singapore dollars|singapore dollar|singapore $|s$|sgd"),
                               ("Canadian dollar", "canadese dollars|canadese dollar|canadese $|canadian dollars|canadian dollar|canadian $|cad|can$|c$|canada dollars|canada dolllar|canada $"),
                               ("Cayman Islands dollar", "kaaimaneilandse dollars|kaaimaneilandse dollar|kaaimaneilandse $|cayman islands dollars|cayman islands dollar|cayman islands $|kyd|ci$|cayman island dollar|cayman island doolars|cayman island $"),
                               ("New Zealand dollar", "nieuw-zeelandse dollars|nieuw-zeelandse dollar|nieuw-zeelandse $|nieuw zeelandse dollars|nieuw zeelandse dollar|nieuw zeelandse $|new zealand dollars|new zealand dollar|new zealand $|nz$|nzd|kiwi"),
                               ("Cook Islands dollar", "cookeilandse dollars|cookeilandse dollar|cookeilandse $|cook islands dollars|cook islands dollar|cook islands $|cook island dollars|cook island dollar|cook island $"),
                               ("Fijian dollar", "fiji-dollars|fiji-dollar|fijian dollars|fijian dollar|fijian $|fjd|fiji dollars|fiji dollar|fiji $"),
                               ("Guyanese dollar", "guyaanse dollars|guyaanse dollar|guyaanse $|guyanese dollars|guyanese dollar|gyd|gy$"),
                               ("Hong Kong dollar", "hongkongse dollars|hongkongse dollar|hongkongse $|hongkong dollars|hongkong dollar|hongkong $|hong kong dollars|hong kong dollar|hong kong $|hk$|hkd|hk dollars|hk dollar|hk $|hongkong$"),
                               ("Jamaican dollar", "jamaicaanse dollars|jamaicaanse dollar|jamaicaanse $|jamaican dollars|jamaican dollar|jamaican $|j$|jamaica dollars|jamaica dollar|jamaica $|jmd"),
                               ("Kiribati dollar", "kiribatische dollars|kiribatische dollar|kiribatische $|kiribati dollars|kiribati dollar|kiribati $"),
                               ("Liberian dollar", "liberiaanse dollars|liberiaanse dollar|liberiaanse $|liberian dollars|liberian dollar|liberian $|liberia dollars|liberia dollar|liberia $|lrd"),
                               ("Micronesian dollar", "micronesische dollars|micronesische dollar|micronesische $|micronesia dollars|micronesia dollar|micronesia $|micronesian dollars|micronesian dollar|micronesian $"),
                               ("Namibian dollar", "namibische dollars|namibische dollar|namibische $|namibian dollars|namibian dollar|namibian $|nad|n$|namibia dollars|namibia dollar|namibia $"),
                               ("Nauruan dollar", "nauruaanse dollars|nauruaanse dollar|nauruaanse $|nauruan dollars|nauruan dollar|nauruan $"),
                               ("Niue dollar", "niue dollars|niue dollar|niue $"),
                               ("Palauan dollar", "palaus dollars|palaus dollar|palaus $|palauan dollars|palauan dollar|palauan $"),
                               ("Pitcairn Islands dollar", "pitcairneilandse dollars|pitcairneilandse dollar|pitcairneilandse $|pitcairn islands dollars|pitcairn islands dollar|pitcairn islands $|pitcairn island dollars|pitcairn island dollar|pitcairn island $"),
                               ("Solomon Islands dollar", "salomon-dollars|salomon-dollar|salomon-$|salomon dollars|salomon dollar|salomon $|solomon islands dollars|solomon islands dollar|solomon islands $|si$|sbd|solomon island dollars|solomon island dollar|solomon island $"),
                               ("Surinamese dollar", "surinaamse dollars|surinaamse dollar|surinaamse $|surinamese dollars|surinamese dollar|surinamese $|srd"),
                               ("New Taiwan dollar", "taiwanese dollars|taiwanese dollar|taiwanese $|nieuw taiwanese dollars|nieuw taiwanese dollar|nieuw taiwanese $|new taiwan dollars|new taiwan dollar|nt$|twd|ntd"),
                               ("Trinidad and Tobago dollar", "trinidad en tobagodollars|trinidad en tobagodollar|trinidad en tobago dollars|trinidad en tobago dollar|trinidad en tobago $|trinidad and tobago dollars|trinidad and tobago dollar|trinidad and tobago $|trinidad $|trinidad dollar|trinidad dollars|trinidadian dollar|trinidadian dollars|trinidadian $|ttd"),
                               ("Tuvaluan dollar", "tuvaluaanse dollars|tuvaluaanse dollar|tuvaluaanse $|tuvaluan dollars|tuvaluan dollar|tuvaluan $"),
                               ("Dollar", "dollars|dollar|$"),
                               ("Chinese yuan", "chinese renminbi|chinese yuan|yuan|kuai|chinese yuan|renminbi|cny|rmb|￥|元"),
                               ("Fen", "fen"),
                               ("Jiao", "jiao|mao"),
                               ("Finnish markka", "finse mark|finse markka|suomen markka|finnish markka|finsk mark|fim|markkaa|markka"),
                               ("Penni", "penniä|penni"),
                               ("Bitcoin", "bitcoin|bitcoins|btc|xbt|₿"),
                               ("Millibitcoin", "millibitcoin|millibitcoins|milibitcoin|milibitcoins"),
                               ("Satoshi", "satoshi|satoshis")])
    CurrencyNameToIsoCodeMap = dict([("Afghan afghani", "AFN"),
                                     ("Euro", "EUR"),
                                     ("Albanian lek", "ALL"),
                                     ("Angolan kwanza", "AOA"),
                                     ("Armenian dram", "AMD"),
                                     ("Aruban florin", "AWG"),
                                     ("Bangladeshi taka", "BDT"),
                                     ("Bhutanese ngultrum", "BTN"),
                                     ("Bolivian boliviano", "BOB"),
                                     ("Bosnia and Herzegovina convertible mark", "BAM"),
                                     ("Botswana pula", "BWP"),
                                     ("Brazilian real", "BRL"),
                                     ("Bulgarian lev", "BGN"),
                                     ("Cambodian riel", "KHR"),
                                     ("Cape Verdean escudo", "CVE"),
                                     ("Costa Rican colón", "CRC"),
                                     ("Croatian kuna", "HRK"),
                                     ("Czech koruna", "CZK"),
                                     ("Eritrean nakfa", "ERN"),
                                     ("Ethiopian birr", "ETB"),
                                     ("Gambian dalasi", "GMD"),
                                     ("Georgian lari", "GEL"),
                                     ("Ghanaian cedi", "GHS"),
                                     ("Guatemalan quetzal", "GTQ"),
                                     ("Haitian gourde", "HTG"),
                                     ("Honduran lempira", "HNL"),
                                     ("Hungarian forint", "HUF"),
                                     ("Iranian rial", "IRR"),
                                     ("Yemeni rial", "YER"),
                                     ("Israeli new shekel", "ILS"),
                                     ("Japanese yen", "JPY"),
                                     ("Kazakhstani tenge", "KZT"),
                                     ("Kenyan shilling", "KES"),
                                     ("North Korean won", "KPW"),
                                     ("South Korean won", "KRW"),
                                     ("Kyrgyzstani som", "KGS"),
                                     ("Lao kip", "LAK"),
                                     ("Lesotho loti", "LSL"),
                                     ("South African rand", "ZAR"),
                                     ("Macanese pataca", "MOP"),
                                     ("Macedonian denar", "MKD"),
                                     ("Malagasy ariary", "MGA"),
                                     ("Malawian kwacha", "MWK"),
                                     ("Malaysian ringgit", "MYR"),
                                     ("Mauritanian ouguiya", "MRO"),
                                     ("Mongolian tögrög", "MNT"),
                                     ("Mozambican metical", "MZN"),
                                     ("Burmese kyat", "MMK"),
                                     ("Nicaraguan córdoba", "NIO"),
                                     ("Nigerian naira", "NGN"),
                                     ("Turkish lira", "TRY"),
                                     ("Omani rial", "OMR"),
                                     ("Panamanian balboa", "PAB"),
                                     ("Papua New Guinean kina", "PGK"),
                                     ("Paraguayan guaraní", "PYG"),
                                     ("Peruvian sol", "PEN"),
                                     ("Polish złoty", "PLN"),
                                     ("Qatari riyal", "QAR"),
                                     ("Saudi riyal", "SAR"),
                                     ("Samoan tālā", "WST"),
                                     ("São Tomé and Príncipe dobra", "STD"),
                                     ("Sierra Leonean leone", "SLL"),
                                     ("Swazi lilangeni", "SZL"),
                                     ("Tajikistani somoni", "TJS"),
                                     ("Thai baht", "THB"),
                                     ("Ukrainian hryvnia", "UAH"),
                                     ("Vanuatu vatu", "VUV"),
                                     ("Venezuelan bolívar", "VEF"),
                                     ("Zambian kwacha", "ZMW"),
                                     ("Moroccan dirham", "MAD"),
                                     ("United Arab Emirates dirham", "AED"),
                                     ("Azerbaijani manat", "AZN"),
                                     ("Turkmenistan manat", "TMT"),
                                     ("Somali shilling", "SOS"),
                                     ("Tanzanian shilling", "TZS"),
                                     ("Ugandan shilling", "UGX"),
                                     ("Romanian leu", "RON"),
                                     ("Moldovan leu", "MDL"),
                                     ("Nepalese rupee", "NPR"),
                                     ("Pakistani rupee", "PKR"),
                                     ("Indian rupee", "INR"),
                                     ("Seychellois rupee", "SCR"),
                                     ("Mauritian rupee", "MUR"),
                                     ("Maldivian rufiyaa", "MVR"),
                                     ("Sri Lankan rupee", "LKR"),
                                     ("Indonesian rupiah", "IDR"),
                                     ("Danish krone", "DKK"),
                                     ("Estonian kroon", "EEK"),
                                     ("Norwegian krone", "NOK"),
                                     ("Icelandic króna", "ISK"),
                                     ("Swedish krona", "SEK"),
                                     ("West African CFA franc", "XOF"),
                                     ("Central African CFA franc", "XAF"),
                                     ("Comorian franc", "KMF"),
                                     ("Congolese franc", "CDF"),
                                     ("Burundian franc", "BIF"),
                                     ("Djiboutian franc", "DJF"),
                                     ("CFP franc", "XPF"),
                                     ("Guinean franc", "GNF"),
                                     ("Swiss franc", "CHF"),
                                     ("Rwandan franc", "RWF"),
                                     ("Russian ruble", "RUB"),
                                     ("Transnistrian ruble", "PRB"),
                                     ("New Belarusian ruble", "BYN"),
                                     ("Algerian dinar", "DZD"),
                                     ("Bahraini dinar", "BHD"),
                                     ("Iraqi dinar", "IQD"),
                                     ("Jordanian dinar", "JOD"),
                                     ("Kuwaiti dinar", "KWD"),
                                     ("Libyan dinar", "LYD"),
                                     ("Serbian dinar", "RSD"),
                                     ("Tunisian dinar", "TND"),
                                     ("Argentine peso", "ARS"),
                                     ("Chilean peso", "CLP"),
                                     ("Colombian peso", "COP"),
                                     ("Cuban convertible peso", "CUC"),
                                     ("Cuban peso", "CUP"),
                                     ("Dominican peso", "DOP"),
                                     ("Mexican peso", "MXN"),
                                     ("Uruguayan peso", "UYU"),
                                     ("British pound", "GBP"),
                                     ("Saint Helena pound", "SHP"),
                                     ("Egyptian pound", "EGP"),
                                     ("Falkland Islands pound", "FKP"),
                                     ("Gibraltar pound", "GIP"),
                                     ("Manx pound", "IMP"),
                                     ("Jersey pound", "JEP"),
                                     ("Lebanese pound", "LBP"),
                                     ("South Sudanese pound", "SSP"),
                                     ("Sudanese pound", "SDG"),
                                     ("Syrian pound", "SYP"),
                                     ("United States dollar", "USD"),
                                     ("Australian dollar", "AUD"),
                                     ("Bahamian dollar", "BSD"),
                                     ("Barbadian dollar", "BBD"),
                                     ("Belize dollar", "BZD"),
                                     ("Bermudian dollar", "BMD"),
                                     ("Brunei dollar", "BND"),
                                     ("Singapore dollar", "SGD"),
                                     ("Canadian dollar", "CAD"),
                                     ("Cayman Islands dollar", "KYD"),
                                     ("New Zealand dollar", "NZD"),
                                     ("Fijian dollar", "FJD"),
                                     ("Guyanese dollar", "GYD"),
                                     ("Hong Kong dollar", "HKD"),
                                     ("Jamaican dollar", "JMD"),
                                     ("Liberian dollar", "LRD"),
                                     ("Namibian dollar", "NAD"),
                                     ("Solomon Islands dollar", "SBD"),
                                     ("Surinamese dollar", "SRD"),
                                     ("New Taiwan dollar", "TWD"),
                                     ("Trinidad and Tobago dollar", "TTD"),
                                     ("Tuvaluan dollar", "TVD"),
                                     ("Chinese yuan", "CNY"),
                                     ("Rial", "__RI"),
                                     ("Shiling", "__S"),
                                     ("Som", "__SO"),
                                     ("Dirham", "__DR"),
                                     ("Dinar", "_DN"),
                                     ("Dollar", "__D"),
                                     ("Manat", "__MA"),
                                     ("Rupee", "__R"),
                                     ("Krone", "__K"),
                                     ("Krona", "__K"),
                                     ("Crown", "__K"),
                                     ("Frank", "__F"),
                                     ("Mark", "__M"),
                                     ("Ruble", "__RB"),
                                     ("Peso", "__PE"),
                                     ("Pound", "__P"),
                                     ("Tristan da Cunha pound", "_TP"),
                                     ("South Georgia and the South Sandwich Islands pound", "_SP"),
                                     ("Somaliland shilling", "_SS"),
                                     ("Pitcairn Islands dollar", "_PND"),
                                     ("Palauan dollar", "_PD"),
                                     ("Niue dollar", "_NID"),
                                     ("Nauruan dollar", "_ND"),
                                     ("Micronesian dollar", "_MD"),
                                     ("Kiribati dollar", "_KID"),
                                     ("Guernsey pound", "_GGP"),
                                     ("Faroese króna", "_FOK"),
                                     ("Cook Islands dollar", "_CKD"),
                                     ("British Virgin Islands dollar", "_BD"),
                                     ("Ascension pound", "_AP"),
                                     ("Alderney pound", "_ALP"),
                                     ("Abkhazian apsar", "_AA"),
                                     ("Bitcoin", "_XBT")])
    FractionalUnitNameToCodeMap = dict([("Jiao", "JIAO"),
                                        ("Kopek", "KOPEK"),
                                        ("Pul", "PUL"),
                                        ("Cent", "CENT"),
                                        ("Qindarkë", "QINDARKE"),
                                        ("Penny", "PENNY"),
                                        ("Santeem", "SANTEEM"),
                                        ("Cêntimo", "CENTIMO"),
                                        ("Centavo", "CENTAVO"),
                                        ("Luma", "LUMA"),
                                        ("Qəpik", "QƏPIK"),
                                        ("Fils", "FILS"),
                                        ("Poisha", "POISHA"),
                                        ("Kapyeyka", "KAPYEYKA"),
                                        ("Centime", "CENTIME"),
                                        ("Chetrum", "CHETRUM"),
                                        ("Paisa", "PAISA"),
                                        ("Fening", "FENING"),
                                        ("Thebe", "THEBE"),
                                        ("Sen", "SEN"),
                                        ("Stotinka", "STOTINKA"),
                                        ("Fen", "FEN"),
                                        ("Céntimo", "CENTIMO"),
                                        ("Lipa", "LIPA"),
                                        ("Haléř", "HALER"),
                                        ("Øre", "ØRE"),
                                        ("Piastre", "PIASTRE"),
                                        ("Santim", "SANTIM"),
                                        ("Oyra", "OYRA"),
                                        ("Butut", "BUTUT"),
                                        ("Tetri", "TETRI"),
                                        ("Pesewa", "PESEWA"),
                                        ("Fillér", "FILLER"),
                                        ("Eyrir", "EYRIR"),
                                        ("Dinar", "DINAR"),
                                        ("Agora", "AGORA"),
                                        ("Tïın", "TIIN"),
                                        ("Chon", "CHON"),
                                        ("Jeon", "JEON"),
                                        ("Tyiyn", "TYIYN"),
                                        ("Att", "ATT"),
                                        ("Sente", "SENTE"),
                                        ("Dirham", "DIRHAM"),
                                        ("Rappen", "RAPPEN"),
                                        ("Avo", "AVO"),
                                        ("Deni", "DENI"),
                                        ("Iraimbilanja", "IRAIMBILANJA"),
                                        ("Tambala", "TAMBALA"),
                                        ("Laari", "LAARI"),
                                        ("Khoums", "KHOUMS"),
                                        ("Ban", "BAN"),
                                        ("Möngö", "MONGO"),
                                        ("Pya", "PYA"),
                                        ("Kobo", "KOBO"),
                                        ("Kuruş", "KURUS"),
                                        ("Baisa", "BAISA"),
                                        ("Centésimo", "CENTESIMO"),
                                        ("Toea", "TOEA"),
                                        ("Sentimo", "SENTIMO"),
                                        ("Grosz", "GROSZ"),
                                        ("Sene", "SENE"),
                                        ("Halala", "HALALA"),
                                        ("Para", "PARA"),
                                        ("Öre", "ORE"),
                                        ("Diram", "DIRAM"),
                                        ("Satang", "SATANG"),
                                        ("Seniti", "SENITI"),
                                        ("Millime", "MILLIME"),
                                        ("Tennesi", "TENNESI"),
                                        ("Kopiyka", "KOPIYKA"),
                                        ("Tiyin", "TIYIN"),
                                        ("Hào", "HAO"),
                                        ("Ngwee", "NGWEE"),
                                        ("Kwartje", "KWARTJE"),
                                        ("Dubbeltje", "DUBBELTJE"),
                                        ("Stuiver", "STUIVER"),
                                        ("Millibitcoin", "MILLIBITCOIN"),
                                        ("Satoshi", "SATOSHI")])
    CompoundUnitConnectorRegex = f'(?<spacer>en)'
    CurrencyPrefixList = dict([("Dollar", "$"),
                               ("United States dollar", "amerikaanse $|united states $|us$|us $|u.s. $|u.s $"),
                               ("East Caribbean dollar", "oost-caribische $|oost caribische $|east caribbean $"),
                               ("Australian dollar", "australische $|australian $|australia $"),
                               ("Bahamian dollar", "bahamaanse $|bahamian $|bahamia $"),
                               ("Barbadian dollar", "barbadiaanse $|barbadian $|barbadin $"),
                               ("Belize dollar", "belizaanse $|belize $"),
                               ("Bermudian dollar", "bermudaanse $|bermudian $"),
                               ("British Virgin Islands dollar", "britse maagdeneilanden $|british virgin islands $|bvi$|virgin islands $|virgin island $|british virgin island $"),
                               ("Brunei dollar", "bruneise $|brunei $|b$"),
                               ("Sen", "sen"),
                               ("Singapore dollar", "singaporese $|singapore $|s$"),
                               ("Canadian dollar", "canadese $|canadian $|can$|c$|c $|canada $"),
                               ("Cayman Islands dollar", "kaaimaneilandse $|cayman islands $|ci$|cayman island $"),
                               ("New Zealand dollar", "nieuw-zeelandse $|nieuw zeelandse $|new zealand $|nz$|nz $"),
                               ("Cook Islands dollar", "cookeilandse $|cook islands $|cook island $"),
                               ("Fijian dollar", "fiji-$|fijian $|fiji $"),
                               ("Guyanese dollar", "guyaanse $|gy$|gy $|g$|g $"),
                               ("Hong Kong dollar", "hongkong $|hong kong $|hk$|hkd|hk $"),
                               ("Jamaican dollar", "jamaicaanse $|jamaican $|j$|jamaica $"),
                               ("Kiribati dollar", "kiribatische $|kiribati $"),
                               ("Liberian dollar", "liberiaanse $|liberian $|liberia $"),
                               ("Micronesian dollar", "micronesische $|micronesian $"),
                               ("Namibian dollar", "namibische $|namibian $|nad|n$|namibia $"),
                               ("Nauruan dollar", "nauruaanse $|nauruan $"),
                               ("Niue dollar", "niue $"),
                               ("Palauan dollar", "palaus $|palauan $"),
                               ("Pitcairn Islands dollar", "pitcairneilandse $|pitcairn islands $|pitcairn island $"),
                               ("Solomon Islands dollar", "salomon-$|salomon $|solomon islands $|si$|si $|solomon island $"),
                               ("Surinamese dollar", "surinaamse $|surinamese $|surinam $"),
                               ("New Taiwan dollar", "taiwanese $|nt$|nt $"),
                               ("Trinidad and Tobago dollar", "trinidad en tobago $|trinidad and tobago $|trinidad $|trinidadian $"),
                               ("Tuvaluan dollar", "tuvaluaanse $|tuvaluan $"),
                               ("Samoan tālā", "ws$"),
                               ("Chinese yuan", "￥"),
                               ("Japanese yen", "¥"),
                               ("Euro", "€|eur"),
                               ("Pound", "£"),
                               ("Costa Rican colón", "₡"),
                               ("Turkish lira", "₺"),
                               ("Bitcoin", "₿|btc|xbt")])
    AmbiguousCurrencyUnitList = [r'din.', r'kiwi', r'kina', r'kobo', r'lari', r'lipa', r'napa', r'para', r'sfr.', r'taka', r'tala', r'toea', r'vatu', r'yuan', r'ang', r'ban', r'bob', r'btn', r'byr', r'cad', r'cop', r'cup', r'dop', r'gip', r'jod', r'kgs', r'lak', r'lei', r'mga', r'mop', r'nad', r'omr', r'pul', r'sar', r'sbd', r'scr', r'sdg', r'sek', r'sen', r'sol', r'sos', r'std', r'try', r'yer', r'yen']
    AngleSuffixList = dict([("Degree", "graad|graden|°"),
                            ("Radian", "radiaal|radialen|rad"),
                            ("Turn", "draai|draaien|slag|slagen")])
    AmbiguousAngleUnitList = [r'draai', r'draaien', r'slag', r'slagen']
    AmbiguityFiltersDict = dict([("null", "null")])
    TemperatureAmbiguityFiltersDict = dict([("\\b(gra(ad|den)|°)$", "\\b((gra(ad|den)|°)\\s*(draai(en|t)?|geroteerd|roterend|rotatie|hoek)|(draai(en|t)?|geroteerd|roterend|rotatie|hoek)(\\s+(\\p{L}+|\\d+)){0,4}\\s*(gra(ad|den)\\b|°))")])
    DimensionAmbiguityFiltersDict = dict([("\\b(gra(ad|den)|°)$", "\\b((gra(ad|den)|°)\\s*(c(elsius)?|f(ah?renheit)?)|(temperatuur)(\\s+(\\p{L}+|\\d+)){0,4}\\s*(gra(ad|den)\\b|°))")])
# pylint: enable=line-too-long
